kernel: fix dependecy of kmod-ieee802154_6lowpan
authorHauke Mehrtens <hauke@hauke-m.de>
Fri, 17 Jul 2015 17:55:17 +0000 (17:55 +0000)
committerHauke Mehrtens <hauke@hauke-m.de>
Fri, 17 Jul 2015 17:55:17 +0000 (17:55 +0000)
This module also depends on kmod-ieee802154

Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
SVN-Revision: 46407

package/kernel/linux/modules/wpan.mk

index 1b6c826..8cb1bfc 100644 (file)
@@ -107,7 +107,7 @@ $(eval $(call KernelPackage,cc2520))
 define KernelPackage/ieee802154_6lowpan
   SUBMENU:=$(WPAN_MENU)
   TITLE:= 6LoWPAN support over IEEE-802.15.4
-  DEPENDS:=@!LINUX_3_18 +kmod-6lowpan
+  DEPENDS:=@!LINUX_3_18 +kmod-6lowpan +kmod-ieee802154
   KCONFIG:=CONFIG_IEEE802154_6LOWPAN
   FILES:= \
        $(LINUX_DIR)/net/ieee802154/6lowpan/ieee802154_6lowpan.ko@ge4.0 \